#' PHInfiniteEstimates: Tools for Proportional Hazards Estimation, and Inference on the Associate Parameters, when Other Parameters are Estimated at Infinity.
#' 
#' The PHInfiniteEstimates package 
#' Proportional hazards estimation in the presence of partial likelihood monitonicity has difficulties, in that finite estimators do not exist.  These difficulties are related to those arising from logistic regression, addressed by \insertCite{kolassa97}{PHInfiniteEstimates}, 
#' and multinomial regression, addressed by \insertCite{kolassa16}{PHInfiniteEstimates}.  Algorithms to provide conditionally similar problems in these contexts are provided.
#' @references 
#' \insertRef{kolassa97}{PHInfiniteEstimates}
#'
#' \insertRef{kolassa16}{PHInfiniteEstimates}
#' @importFrom Rdpack reprompt
#' @name PHInfiniteEstimates
NULL
